This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 875054 - Dracut searches for disk with label too long for Fat32, can't boot from USB
Dracut searches for disk with label too long for Fat32, can't boot from USB
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
18
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 07:21 EST by Paul Alesius
Modified: 2013-02-04 13:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 13:16:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Alesius 2012-11-09 07:21:12 EST
Description of problem:
Init searches for a disk with label too long, Fat32 doens't allow labels of that size; Example of label: (label=Fedora 17 x86x64).
Unable to boot from USB because USB boot in most BIOSes require FAT.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Harald Hoyer 2012-11-22 05:56:26 EST
Linux cannot be installed on Fat32 anyway. What are you trying to do?
Comment 3 Paul Alesius 2012-11-29 09:40:30 EST
Harald,


I'm not installing to FAT. Here's the sequence (As stated in the description):

1. Boot with USB FAT installation media plugged in.
2. Grub, runs Anaconda.
3. Anaconda searches for installation media.
   
       Anaconda wants: The USB FAT label=Fedora 17 x86x64
   Actually available: The USB FAT label=Fedora 17        (Or something, shorter)

4. Anaconda says there is no installation media (Or something, this was some time ago).



You can actually set the installation media label at the GRUB prompt to boot from USB FAT with correct label.
Comment 4 Harald Hoyer 2012-11-29 10:13:25 EST
Well, then it's the job of the tool, which installs the install medium on the FAT to correct the kernel command line parameter to match that of the FAT medium.

Or for the install medium creator to choose a name, which fits on in a FAT label.

Nothing dracut can fix... Sorry.. reassign this bug to whatever component that is, please.
Comment 5 Harald Hoyer 2012-11-29 10:15:16 EST
Why is this Red Hat Enterprise Linux 6?
Comment 6 Paul Alesius 2012-11-29 11:08:06 EST
You can't dd if=installer.iso of=/dev/usb and if I remember correctly it also fails with a net install too. It's inconvenient for the user to have to set the right label at the grub screen because the default one doesn't match the shoter one on the FAT boot media.

I can't change products for this bug, please help me set this to Fedora and mark notabug, or however you wish.
Comment 7 Brian Lane 2012-12-03 11:47:04 EST
You need to describe how you created this boot media in more detail. The only thing that Fedora uses that would make USB Fat32 is livecd-iso-to-disk when using --efi, and that changes it to use the UUID of the partition, not the label.
Comment 8 Fedora Admin XMLRPC Client 2013-02-04 10:04:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.